# XYMOND_FILESTORE

Section: Maintenance Commands (8)
Updated: Version 4.3.11: 21 Apr 2013
Index Return to Main Contents

## NAME

xymond_filestore - xymond worker module for storing Xymon data

## SYNOPSIS

xymond_channel --channel=status xymond_filestore --status [options]
xymond_channel --channel=data xymond_filestore --data [options]
xymond_channel --channel=notes xymond_filestore --notes [options]
xymond_channel --channel=enadis xymond_filestore --enadis [options]

## DESCRIPTION

xymond_filestore is a worker module for xymond, and as such it is normally run via the xymond_channel(8) program. It receives xymond messages from a xymond channel via stdin, and stores these in the filesystem in a manner that is compatible with the Big Brother daemon, bbd.

This program can be started multiple times, if you want to store messages for more than one channel.

## OPTIONS

--status
  Incoming messages are "status" messages, they will be stored in the $XYMONRAWSTATUSDIR/ directory. If you are using xymon(7) throughout your Xymon server, you will not need to run this module to save status messages, unless you have a third-party add-on that reads the status-logs directly. This module is NOT needed to get trend graphs, you should run the xymond_rrd(8) module instead.

--data
  Incoming messages are "data" messages, they will be stored in the $XYMONDATADIR directory. This module is not needed, unless you have a third-party module that processes the data-files. This module is NOT needed to get trend graphs, you should run the xymond_rrd(8) module instead.

--notes
  Incoming messages are "notes" messages, they will be stored in the $XYMONNOTESDIR directory. This modules is only needed if you want to allow people to remotely update the notes-files available on the Xymon webpages.

--enadis
  Incoming messages are enable/disable messages, they will update files in the $XYMONDISABLEDDIR directory. This is only needed if you have third-party add-ons that use these files.

--dir=DIRECTORY
  Overrides the default output directory.

--html
  Used together with "--status". Tells xymond_filestore to also save an HTML version of the status-log. Should not be used unless you must run with "XYMONLOGSTATUS=static".

--htmldir=DIRECTORY
  The directory where HTML-versions of the status logs are stored. Default: $XYMONHTMLSTATUSDIR

--htmlext=.EXT
  Set the filename extension for generated HTML files. By default, HTML files are saved with a ".html" extension.

--multigraphs=TEST1[,TEST2]
  This causes xymond_filestore to generate HTML status pages with links to service graphs that are split up into multiple images, with at most 5 graphs per image. If not specified, only the "disk" status is split up this way.

--only=test[,test,test]
  Save status messages only for the listed set of tests. This can be useful if you have an external script that needs to parse some of the status logs, but you do not want to save all status logs.

--debug
  Enable debugging output.

## FILES

This module does not rely on any configuration files.

## SEE ALSO

xymond_channel(8), xymond_rrd(8), xymond(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 10:54:41 GMT, April 21, 2013